package de.ivu.elect.sitzberechnung.konflikt;

import java.util.Set;

public class StimmengleichheitErgebnisKonfliktDaten {

  private ErgebnisKonfliktStatus ergebnisKonfliktStatus;
  private long anzahlZuLosen = 0;
  private Set<String> kandidaturKeysZurAuswahl;
  private Set<String> gelosteKandidaturKeys;

  public boolean isEmpty() {
    return ergebnisKonfliktStatus == null && anzahlZuLosen == 0 && kandidaturKeysZurAuswahl == null && gelosteKandidaturKeys == null;
  }

  public ErgebnisKonfliktStatus getErgebnisKonfliktStatus() {
    return ergebnisKonfliktStatus;
  }

  public void setErgebnisKonfliktStatus(ErgebnisKonfliktStatus ergebnisKonfliktStatus) {
    this.ergebnisKonfliktStatus = ergebnisKonfliktStatus;
  }

  public long getAnzahlZuLosen() {
    return anzahlZuLosen;
  }

  public void setAnzahlZuLosen(long anzahlZuLosen) {
    this.anzahlZuLosen = anzahlZuLosen;
  }

  public Set<String> getKandidaturKeysZurAuswahl() {
    return kandidaturKeysZurAuswahl;
  }

  public void setKandidaturKeysZurAuswahl(Set<String> kandidaturKeysZurAuswahl) {
    this.kandidaturKeysZurAuswahl = kandidaturKeysZurAuswahl;
  }

  public Set<String> getGelosteKandidaturKeys() {
    return gelosteKandidaturKeys;
  }

  public void setGelosteKandidaturKeys(Set<String> gelosteKandidaturKeys) {
    this.gelosteKandidaturKeys = gelosteKandidaturKeys;
  }


}
